#ifndef GEOMETRY_H

#include "point.h"
#include <vector>


struct Face
{
    unsigned int vertIndex[3];
};

struct Mesh
{
    inline Mesh(void)
    {
        position.x = 0.0f;
        position.y = 0.0f;
        position.z = 0.0f;

        rotation[0] = 0.0f;
        rotation[1] = 0.0f;
        rotation[2] = 0.0f;

        scale = 1.0f;
    }

    Point position;
    float rotation[3];
    float scale;
    std::vector<Point> verts;
    std::vector<Point> vertsTransformed;
    std::vector<Face> faces;
};


#define GEOMETRY_H
#endif

